Page MenuHomePhabricator

Deploy Phabricator Sprint Extension in Production
Closed, ResolvedPublic0 Story Points

Description

The Sprint extension is a tool that replaces Scrumbugz. History of development is here: T153: Burndown charts for Phabricator projects
It is in a relatively good state now, but still will be developed by CI.

We would like a process where we can regularly stage in labs and then deploy in production. The basic puppet module changes have already been made.

Each release will need a new puppet role manifest change followed by the phab_update_tag script run.

We are looking at pushing our latest release tag to labs as soon as possible in preparation for a production deployment in about one month.

Event Timeline

Christopher updated the task description. (Show Details)
Christopher raised the priority of this task from to Needs Triage.
Christopher claimed this task.
Christopher changed Security from none to None.
Christopher added subscribers: Christopher, Qgil, chasemp.
Qgil updated the task description. (Show Details)Nov 18 2014, 6:47 PM
Qgil triaged this task as Normal priority.
Qgil edited projects, added Project-Management; removed Bugzilla-Migration.

The Wikidata team relies on Scrumbugz, which will go away at the same time than Bugzilla. They will start a bi-weekly sprint without Scrumbugz on 24 Nov. If possible, we would like to have Sprint enabled in production by the time they start their next sprint on 8 Dec.

There seems to be an interest among some WMF teams in using Sprint as well.

What is the process here? We need a security review, I guess.

Christopher added a comment.EditedNov 19 2014, 4:14 AM

@csteipp no, that code has nothing to do with where we are now. please check it here: https://github.com/wikimedia/phabricator-extensions-Sprint

Please tag a local phabricator repo with arcpatch-D10780. Sprint 0.5.4 depends on this.

Jdforrester-WMF renamed this task from Deploy Sprint Extension in Production to Deploy Phabriactor Sprint Extension in Production.Nov 19 2014, 5:16 PM
Jdforrester-WMF added a project: Phabricator.

Please tag a local phabricator repo with arcpatch-D10780. Sprint 0.5.4 depends on this.

Hey Christopher.

I'm guessing you mean? https://secure.phabricator.com/D10780. So to include that outside of upstream we would need mukunda to patch his (already included outside of upstream) patch for the mediawiki auth provider. I'm not sure if that's worth the complication or not. Does this require arc liberate etc?

As a general rule I would prefer to keep our tagging related to issues TXXX or whatever. I have been doing this, and now we tried not doing it with the mwoauth tag and it's less useful and less tied into the overall process.

paging @mmodell

Please tag a local phabricator repo with arcpatch-D10780. Sprint 0.5.4 depends on this.

As a general rule I would prefer to keep our tagging related to issues TXXX or whatever. I have been doing this, and now we tried not doing it with the mwoauth tag and it's less useful and less tied into the overall process.

Not meant to confuse, I just meant let's keep our local tags related to our local issue numbers (this is not anything that anyone other than the phab team needs to do I think)

Third reply from me :)

Realized I'm confused and it creates new questions, https://secure.phabricator.com/D10780 is merged upstream now, why would we arc-patch it locally?

The protocol should be that the local repo is tagged with an upstream commit. The commit is D10780, and the tag should be "arcpatch-D10780".

Nothing more needs to be done as long as the local repo is a mirror from upstream, which does not appear to be the case currently. Puppet will always refresh from a tag, so there is no risk in having a fresh mirror, right?

Quiddity renamed this task from Deploy Phabriactor Sprint Extension in Production to Deploy Phabricator Sprint Extension in Production.Nov 19 2014, 6:33 PM

Ok, thanks @Qgil and @Christopher for making it clear: this task is the best / fastest way for my team to implement Agile in Phabricator. That said, how can I help, what's stopping us from deploying Sprint?

Qgil added a comment.EditedNov 25 2014, 8:31 AM

@csteipp is extremely busy these days but he did the security review for this extension:

tl;dr, looks ok.

It looks like they need to do some cleanup (whitespace, dead code),
but their handling of the dangerous stuff looks ok.

@mmodell will have a look at the code as well.

As discussed previously, our intention is to have Sprint deployed within two weeks after the Bugzilla migration. We need to find a good spot to sync our Phabricator instance with upstream, which will allow the deployment of this extension.

Qgil moved this task from To Triage to Ready to Go on the Phabricator board.Nov 27 2014, 8:43 AM
Qgil reassigned this task from Christopher to chasemp.

There are a few things to do OPS side, but I am confused about the general state of this task. This task depends on T153: Burndown charts for Phabricator projects which in turn depends on T452: Create/enable custom "Story Points" field for tasks but that task is not closed. So it seems T153 should never have been resolved, and I don't know if T452 is actually a blocker?

From reading it seems maybe the blockers are just outdated, but I'm not entirely sure

Qgil added a comment.Dec 1 2014, 7:48 PM

Yes, sorry, outdated blocker removed. The Sprint extension has everything it needs to be deployed here. It brings its own story points.

OK cool -- side note -- should it be impossible to close a task with an open blocker?

Qgil added a comment.Dec 1 2014, 7:52 PM

Side reply -- I would not touch the current flexible behavior. Blockers are not scientific. :)

Gilles added a subscriber: Gilles.Dec 2 2014, 9:02 AM
Qgil added a subscriber: Spage.Dec 2 2014, 9:59 PM

The roadmap says this is happening on Wednesday. I would highly recommend deploying the latest tag -- 0.6.0.7.
Please review it at https://phab08.wmflabs.org/sprint/

I will make the puppet manifest change patch on Monday if it is ok.

I am posting current known issues and bugs here: https://phab08.wmflabs.org/tag/sprint_extension_bugs/
In the meantime, if there is something urgent that you notice, let me know and I can try to fix it before deployment.

Qgil added a comment.Dec 8 2014, 9:39 AM

I am posting current known issues and bugs here: https://phab08.wmflabs.org/tag/sprint_extension_bugs/

Why not in a project here?

Deployment change is up for review here: https://gerrit.wikimedia.org/r/#/c/178194/

There were a few more recent commits including fixing crumbs and sort fields, so please note that the current tag is now 0.6.1.0.

Can someone define what these settings should be in production?

Qgil added a comment.Dec 8 2014, 8:04 PM

The same policies as we have for regular Projects and regular Maniphest here in production. The changes compared with the screenshot are:

  • Default View policy: Public
  • Can Create Projects: Project-Creators
  • Can Edit Task Policies: same Custom policy as our Maniphest
  • Batch Edits: Triagers
Qgil closed this task as Resolved.Dec 10 2014, 4:39 PM

It looks like this task is completed: https://phabricator.wikimedia.org/sprint/

If you find bugs or you have feature requests, please file tasks under Phabricator-Sprint-Extension

Enjoy!

Sweet -- is there documentation for this extension? I don't see it on my current sprints, but I expect I have to turn it on...

Qgil added a comment.Dec 10 2014, 7:05 PM

There is https://www.mediawiki.org/wiki/Phabricator/Project_management#Sprints -- there you will find what to do to activate it in your next sprints.

jayvdb added a subscriber: jayvdb.Dec 16 2014, 10:36 AM

The graph rendering is pretty slow (~10 seconds to open a graph) -- not a
blocker but it would be nice to make faster.

Qgil added a comment.Dec 16 2014, 4:56 PM

This task is closed. Could you create a new task under Phabricator-Sprint-Extension, please? This is the best way not to forget about it.

done -- thanks Grace

Aqwerf added a subscriber: Aqwerf.Jan 11 2015, 2:43 PM
Payal.tiwari set the point value for this task to 0.Dec 16 2016, 7:25 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 16 2016, 7:25 AM